<?php
/**
 * The template part for displaying the dark CTA section on the front page (static)
 *
 * @package vega
 */
?>
<?php 
global $vega_wp_curr_bg, $vega_wp_prev_bg; 

$vega_wp_frontpage_cta_dark = vega_wp_get_option('vega_wp_frontpage_cta_dark'); 

if($vega_wp_frontpage_cta_dark == 'Y') { 
$vega_wp_curr_bg = 'bg-primary'; $vega_wp_prev_bg = $vega_wp_curr_bg;
//$vega_wp_frontpage_cta_dark_content = vega_wp_get_option('vega_wp_frontpage_cta_dark_content'); 
$cta_page = get_post(vega_wp_get_option('vega_wp_frontpage_cta_dark_content')); 
$vega_wp_frontpage_cta_dark_content = $cta_page->post_content;

$vega_wp_frontpage_cta_dark_section_id = vega_wp_get_option('vega_wp_frontpage_cta_dark_section_id'); 
?>
<!-- ========== Call to Action ========== -->
<div class="shadow"></div>
<div class="section frontpage-cta <?php echo esc_attr($vega_wp_curr_bg) ?>" id="<?php echo esc_attr($vega_wp_frontpage_cta_dark_section_id); ?>">
    <div class="container wow zoomIn">
        <?php echo do_shortcode($vega_wp_frontpage_cta_dark_content); ?>
    </div>
</div>
<!-- ========== /Call to Action ========== -->
<?php } ?>
