<?php 
### DEFAULTS ###

$vega_wp_defaults['vega_wp_upgrade_to_pro'] = '';
$vega_wp_defaults['vega_wp_info'] = '';

#post-thumbnail
$vega_wp_defaults['vega_wp_custom_header'] = esc_url( get_template_directory_uri() ) . '/sample/images/header.jpg';
$vega_wp_defaults['vega_wp_featured_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/featured-image-1.jpg';
$vega_wp_defaults['vega_wp_featured_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/featured-image-2.jpg';
$vega_wp_defaults['vega_wp_featured_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/featured-image-3.jpg';
$vega_wp_defaults['vega_wp_featured_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/featured-image-4.jpg';
$vega_wp_defaults['vega_wp_featured_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/featured-image-5.jpg';
$vega_wp_defaults['vega_wp_featured_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/featured-image-6.jpg';
$vega_wp_defaults['vega_wp_featured_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/featured-image-7.jpg';
#post-thumbnail-recent
$vega_wp_defaults['vega_wp_recent_post_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/recent-news-1.jpg';
$vega_wp_defaults['vega_wp_recent_post_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/recent-news-2.jpg';
$vega_wp_defaults['vega_wp_recent_post_image'][] = esc_url( get_template_directory_uri() ) . '/sample/images/recent-news-3.jpg';

#vega_wp_general_settings_section
$vega_wp_defaults['vega_wp_enable_demo'] = 'Y';
$vega_wp_defaults['vega_wp_animations'] = 'Y';
$vega_wp_defaults['vega_wp_admin_bar'] = 'Y';

#vega_wp_logo_section
$vega_wp_defaults['vega_wp_show_logo_image'] = 'N';
$vega_wp_defaults['vega_wp_logo_image'] = ''; #esc_url( get_template_directory_uri() ) . '/sample/images/logo.png';
$vega_wp_defaults['vega_wp_logo_text'] = get_bloginfo('name'); ;

#vega_wp_colors_section
$vega_wp_defaults['vega_wp_color_stylesheet'] = 'Orange';

#vega_wp_frontpage_section
$vega_wp_defaults['vega_wp_frontpage_banner'] = 'Image Banner';
$vega_wp_defaults['vega_wp_frontpage_content'] = 'Y';
$vega_wp_defaults['vega_wp_frontpage_cta_dark'] = 'Y';
$vega_wp_defaults['vega_wp_frontpage_4cols'] = 'Y';
$vega_wp_defaults['vega_wp_frontpage_open1'] = 'Y';
$vega_wp_defaults['vega_wp_frontpage_latest_posts'] = 'Y';

#vega_wp_frontpage_positions_section
$vega_wp_defaults['vega_wp_frontpage_position_content'] = 10;
$vega_wp_defaults['vega_wp_frontpage_position_cta_dark'] = 20;
$vega_wp_defaults['vega_wp_frontpage_position_4cols'] = 30;
$vega_wp_defaults['vega_wp_frontpage_position_latest_posts'] = 40;
$vega_wp_defaults['vega_wp_frontpage_position_open1'] = 50;

#vega_wp_frontpage_banner_section
$vega_wp_defaults['vega_wp_frontpage_banner_image'] = esc_url( get_template_directory_uri() ) . '/sample/images/header.png';
$vega_wp_defaults['vega_wp_frontpage_banner_heading'] = __('Frontpage Banner Heading', 'vega');
$vega_wp_defaults['vega_wp_frontpage_banner_text'] = get_bloginfo('description'); 

#vega_wp_frontpage_4_cols_section
$vega_wp_defaults['vega_wp_frontpage_4cols_n'] = 4;
$vega_wp_defaults['vega_wp_frontpage_4_cols_heading'] = __('Featured Pages', 'vega');
$vega_wp_defaults['vega_wp_frontpage_4_cols_text'] = __('Etiam sed eleifend tellus. Curabitur volutpat feugiat congue. Suspendisse potenti. Aenean rhoncus nunc id semper mollis. Aenean pulvinar, leo non elementum sollicitudin, enim neque viverra neque, quis consequat orci tellus vitae libero. Quisque et metus ultricies, malesuada turpis nec, malesuada enim. Nunc maximus tincidunt erat vitae vehicula. Morbi eget vehicula leo. Nulla interdum eros vel quam pellentesque lacinia. Integer non porta nunc.', 'vega');
$vega_wp_defaults['vega_wp_frontpage_4_cols_1_icon'] = 'fa-desktop';
$vega_wp_defaults['vega_wp_frontpage_4_cols_1'] = vega_wp_rand_page();
$vega_wp_defaults['vega_wp_frontpage_4_cols_2_icon'] = 'fa-comments';
$vega_wp_defaults['vega_wp_frontpage_4_cols_2'] = vega_wp_rand_page();
$vega_wp_defaults['vega_wp_frontpage_4_cols_3_icon'] = 'fa-cogs';
$vega_wp_defaults['vega_wp_frontpage_4_cols_3'] = vega_wp_rand_page();
$vega_wp_defaults['vega_wp_frontpage_4_cols_4_icon'] = 'fa-camera';
$vega_wp_defaults['vega_wp_frontpage_4_cols_4'] = vega_wp_rand_page();
$vega_wp_defaults['vega_wp_frontpage_4_cols_section_id'] = '4cols';

#vega_wp_frontpage_open1_section
$vega_wp_defaults['vega_wp_frontpage_open1_heading'] = __('Content Heading', 'vega');
//$vega_wp_defaults['vega_wp_frontpage_open1_content'] = sprintf( __( '<div class="row"><div class="col-md-5"><div><h3 class="heading">Donec fringilla porttitor pulvinar</h3><p class="text-justify">Aenean vulputate gravida purus, non condimentum arcu scelerisque sit amet. Donec sodales mauris at vestibulum laoreet. Donec fringilla porttitor pulvinar. </p><p class="text-justify"><a href="#" class="btn btn-primary-custom ">DOWNLOAD THEME</a> <a href="#" class="btn btn-inverse ">VIEW ALL FEATURES</a></p></div></div><div class="col-md-7"><p><img src="%s" alt="" class="img-responsive" /></p></div></div>', 'vega' ), esc_url( get_template_directory_uri() ) . '/sample/images/open-content.png' );
$vega_wp_defaults['vega_wp_frontpage_open1_content'] = vega_wp_rand_page();
$vega_wp_defaults['vega_wp_frontpage_open1_section_id'] = 'open';

#vega_wp_frontpage_cta_dark_section
//$vega_wp_defaults['vega_wp_frontpage_cta_dark_content'] = __('<p>Vega is a free, multipurpose, easy to use theme. It comes <br />with awesome animation effects and clean code.</p><p class=small><br />Powered by the Bootstrap framework, it\'s clean and professional<br />design is perfect for both blogs and creative studios.</p><p><br /><a href="#" class="btn btn-inverse">DOWNLOAD NOW</a></p>', 'vega');
$vega_wp_defaults['vega_wp_frontpage_cta_dark_content'] = vega_wp_rand_page();
$vega_wp_defaults['vega_wp_frontpage_cta_dark_section_id'] = 'cta';

#vega_wp_frontpage_latest_posts_section
$vega_wp_defaults['vega_wp_frontpage_latest_posts_n'] = 3;
$vega_wp_defaults['vega_wp_frontpage_latest_posts_heading'] = __('Latest Posts', 'vega');
$vega_wp_defaults['vega_wp_frontpage_latest_posts_section_id'] = 'latest';

#vega_wp_blog_feed_section
$vega_wp_defaults['vega_wp_blog_feed_meta'] = 'Y';
$vega_wp_defaults['vega_wp_blog_feed_meta_date'] = 'Y';
$vega_wp_defaults['vega_wp_blog_feed_meta_category'] = 'Y';
$vega_wp_defaults['vega_wp_blog_feed_meta_author'] = 'N';
$vega_wp_defaults['vega_wp_blog_feed_display'] = 'Small Image Left, Excerpt Right';
$vega_wp_defaults['vega_wp_blog_feed_buttons'] = 'Y';
$vega_wp_defaults['vega_wp_blog_feed_banner'] = 'Custom Header';
$vega_wp_defaults['vega_wp_blog_feed_animations'] = 'Y';

#vega_wp_post_section
$vega_wp_defaults['vega_wp_post_meta'] = 'Y';
$vega_wp_defaults['vega_wp_post_meta_date'] = 'Y';
$vega_wp_defaults['vega_wp_post_meta_category'] = 'Y';
$vega_wp_defaults['vega_wp_post_meta_author'] = 'Y';
$vega_wp_defaults['vega_wp_post_tags'] = 'Y';
$vega_wp_defaults['vega_wp_post_banner'] = 'Custom Header';
$vega_wp_defaults['vega_wp_post_sidebar'] = 'Y';
$vega_wp_defaults['vega_wp_post_featured_image'] = 'Y';

#vega_wp_page_section
$vega_wp_defaults['vega_wp_page_banner'] = 'Custom Header';
$vega_wp_defaults['vega_wp_page_sidebar'] = 'Y';

#vega_advanced_section
$vega_wp_defaults['vega_wp_google_analytics'] = '';
$vega_wp_defaults['vega_wp_custom_css'] = '';

#vega_wp_footer_section
$vega_wp_defaults['vega_wp_footer_copyright_message'] = __('<a href="http://www.lyrathemes.com/vega">Vega Wordpress Theme</a> by <a href="http://www.lyrathemes.com">Lyra Themes</a>, Powered by <a href="http://www.wordpress.org">Wordpress</a>', 'vega');

?>